<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CMakeRunConfigurationManager" shouldGenerate="true" shouldDeleteObsolete="true">
    <generated>
      <config projectName="mdd" targetName="auslegung_test" />
      <config projectName="mdd" targetName="gmock" />
      <config projectName="mdd" targetName="gtest_main" />
      <config projectName="mdd" targetName="gtest" />
      <config projectName="mdd" targetName="gmock_main" />
      <config projectName="mdd" targetName="mdd_lib" />
    </generated>
  </component>
  <component name="CMakeSettings">
    <configurations>
      <configuration PROFILE_NAME="Debug" CONFIG_NAME="Debug" GENERATION_OPTIONS="-DCMAKE_INSTALL_PREFIX=/home/willi/workspaces/master_thesis_ws/install" />
    </configurations>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="4ddbafad-b85e-492e-80ec-3c73ef45688f" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/CMakeLists.txt" beforeDir="false" afterPath="$PROJECT_DIR$/CMakeLists.txt" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/cmake-build-debug/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ClangdSettings">
    <option name="formatViaClangd" value="false" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="CMakeBuildProfile:Debug" />
  <component name="FavoritesManager">
    <favorites_list name="mdd" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/src/ModuleHTTP.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="345">
              <caret line="104" column="5" selection-start-line="104" selection-start-column="5" selection-end-line="104" selection-end-column="5" />
              <folding>
                <element signature="e#0#23#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="285">
              <caret line="19" column="64" lean-forward="true" selection-start-line="19" selection-start-column="64" selection-end-line="19" selection-end-column="64" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file:///usr/include/unistd.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="8475">
              <caret line="565" column="11" selection-start-line="565" selection-start-column="11" selection-end-line="565" selection-end-column="11" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file:///usr/include/c++/7/thread">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2010">
              <caret line="134" selection-start-line="134" selection-end-line="134" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/include/ModuleHTTP.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="390">
              <caret line="26" column="11" selection-start-line="26" selection-start-column="11" selection-end-line="26" selection-end-column="11" />
              <folding>
                <element signature="e#51#74#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file:///usr/include/c++/7/bits/basic_string.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="6285">
              <caret line="419" column="6" selection-start-line="419" selection-start-column="6" selection-end-line="419" selection-end-column="6" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/test/test_ModuleHTTP.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="150">
              <caret line="10" selection-start-line="10" selection-end-line="10" />
              <folding>
                <element signature="e#0#24#0" expanded="true" />
                <element signature="e#91#119#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thirdparty/cpp-httplib/httplib.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="61380">
              <caret line="4092" column="5" selection-start-line="4092" selection-start-column="2" selection-end-line="4092" selection-end-column="5" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/include/IInput.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="8" column="28" selection-start-line="8" selection-start-column="28" selection-end-line="8" selection-end-column="28" />
              <folding>
                <element signature="e#43#63#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/src/ModuleBase.cpp">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="915">
              <caret line="61" selection-start-line="61" selection-end-line="61" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="CMakeLists.txt" />
        <option value="Python Script" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>output</find>
      <find>Gener</find>
      <find>st</find>
      <find>std::cout</find>
      <find>try</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="ROOT_SYNC" value="DONT_SYNC" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/lib/src/TestClass.cpp" />
        <option value="$PROJECT_DIR$/cmake/auslegung-config.cmake" />
        <option value="$PROJECT_DIR$/lib/test/test_TestClass.cpp" />
        <option value="$PROJECT_DIR$/lib/include/IListener.h" />
        <option value="$PROJECT_DIR$/README.MD" />
        <option value="$PROJECT_DIR$/lib/include/IValue.h" />
        <option value="$PROJECT_DIR$/lib/include/BaseModule.h" />
        <option value="$PROJECT_DIR$/lib/include/Data.h" />
        <option value="$PROJECT_DIR$/lib/include/IData.h" />
        <option value="$PROJECT_DIR$/lib/include/IType.h" />
        <option value="$PROJECT_DIR$/thirdparty/json/single_include/json.hpp" />
        <option value="$PROJECT_DIR$/lib/src/ProcessorBase.h.cpp" />
        <option value="$PROJECT_DIR$/lib/include/ModuleHandler.h" />
        <option value="$PROJECT_DIR$/lib/include/ModulBase.h" />
        <option value="$PROJECT_DIR$/lib/src/ModuleCompare.cpp" />
        <option value="$PROJECT_DIR$/lib/include/ModuleCompare.h" />
        <option value="$PROJECT_DIR$/lib/include/ModulePass.h" />
        <option value="$PROJECT_DIR$/lib/src/ModulePass.cpp" />
        <option value="$PROJECT_DIR$/lib/include/ModuleSwitch.h" />
        <option value="$PROJECT_DIR$/lib/include/ModuleMath.h" />
        <option value="$PROJECT_DIR$/lib/include/UniqueBase.h" />
        <option value="$PROJECT_DIR$/lib/src/UniqueBase.cpp" />
        <option value="$PROJECT_DIR$/lib/src/Output.cpp" />
        <option value="$PROJECT_DIR$/lib/include/IUnique.h" />
        <option value="$PROJECT_DIR$/lib/include/Output.h" />
        <option value="$PROJECT_DIR$/lib/include/IInput.h" />
        <option value="$PROJECT_DIR$/lib/include/Input.h" />
        <option value="$PROJECT_DIR$/lib/include/HandlerModule.h" />
        <option value="$PROJECT_DIR$/lib/include/IOutput.h" />
        <option value="$PROJECT_DIR$/lib/include/IModule.h" />
        <option value="$PROJECT_DIR$/lib/include/IProcessor.h" />
        <option value="$PROJECT_DIR$/lib/include/ProcessorManual.h" />
        <option value="$PROJECT_DIR$/lib/test/test_ModuleMath.cpp" />
        <option value="$PROJECT_DIR$/lib/src/Input.cpp" />
        <option value="$PROJECT_DIR$/lib/test/test_ModuleSwitch.cpp" />
        <option value="$PROJECT_DIR$/lib/src/ProcessorBase.cpp" />
        <option value="$PROJECT_DIR$/lib/include/ProcessorBase.h" />
        <option value="$PROJECT_DIR$/lib/src/ProcessorManual.cpp" />
        <option value="$PROJECT_DIR$/lib/test/test_ProcessorManual.cpp" />
        <option value="$PROJECT_DIR$/lib/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/lib/src/ModuleBase.cpp" />
        <option value="$PROJECT_DIR$/lib/include/ModuleBase.h" />
        <option value="$PROJECT_DIR$/lib/test/CMakeLists.txt" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/lib/src/ModuleMath.cpp" />
        <option value="$PROJECT_DIR$/lib/src/ModuleSwitch.cpp" />
        <option value="$PROJECT_DIR$/lib/test/server/.gitignore" />
        <option value="$PROJECT_DIR$/lib/include/ModuleHTTP.h" />
        <option value="$PROJECT_DIR$/lib/test/test_ModuleHTTP.cpp" />
        <option value="$PROJECT_DIR$/lib/src/ModuleHTTP.cpp" />
        <option value="$PROJECT_DIR$/CMakeLists.txt" />
      </list>
    </option>
  </component>
  <component name="OCFindUsagesOptions" text="true" ivars="false" properties="true" derivedClasses="false" />
  <component name="OCResolveContextSettings">
    <option name="configuration" value="0-auslegung_test" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="y" value="-2" />
    <option name="width" value="960" />
    <option name="height" value="1082" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="mdd" type="b2602c69:ProjectViewProjectNode" />
              <item name="mdd" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mdd" type="b2602c69:ProjectViewProjectNode" />
              <item name="mdd" type="462c0819:PsiDirectoryNode" />
              <item name="thirdparty" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="mdd" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="CMakeSettings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/lib/src" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/lib/thirdparty" />
      <recent name="$PROJECT_DIR$/lib/includes" />
      <recent name="$PROJECT_DIR$/lib" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/lib/test" />
      <recent name="$PROJECT_DIR$/lib" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Google Test.All in auslegung_test">
    <configuration name="All in auslegung_test" type="CMakeGoogleTestRunConfigurationType" factoryName="Google Test" nameIsGenerated="true" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="auslegung_test" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="mdd" RUN_TARGET_NAME="auslegung_test" TEST_MODE="SUITE_TEST">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
        <option name="BeforeTestRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="ModuleMath" type="CMakeGoogleTestRunConfigurationType" factoryName="Google Test" temporary="true" nameIsGenerated="true" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="auslegung_test" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="mdd" RUN_TARGET_NAME="auslegung_test" TEST_PATTERN="ModuleMath.*:ModuleMath/*.*:*/ModuleMath.*/*:*/ModuleMath/*.*" TEST_MODE="PATTERN">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
        <option name="BeforeTestRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="ModuleMath.ARRAYINT_PLUS_ARRAYInt" type="CMakeGoogleTestRunConfigurationType" factoryName="Google Test" temporary="true" nameIsGenerated="true" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="auslegung_test" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="mdd" RUN_TARGET_NAME="auslegung_test" TEST_CLASS="ModuleMath" TEST_METHOD="ARRAYINT_PLUS_ARRAYInt" TEST_MODE="SUITE_TEST">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
        <option name="BeforeTestRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="ModuleMath.add" type="CMakeGoogleTestRunConfigurationType" factoryName="Google Test" temporary="true" nameIsGenerated="true" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="auslegung_test" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="mdd" RUN_TARGET_NAME="auslegung_test" TEST_CLASS="ModuleMath" TEST_METHOD="add" TEST_MODE="SUITE_TEST">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
        <option name="BeforeTestRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="auslegung_test" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="auslegung_test" CONFIG_NAME="Debug" RUN_TARGET_PROJECT_NAME="mdd" RUN_TARGET_NAME="auslegung_test">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="gmock" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="gmock" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="gmock_main" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="gmock_main" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="gtest" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="gtest" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="gtest_main" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="gtest_main" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="mdd_lib" type="CMakeRunConfiguration" factoryName="Application" PASS_PARENT_ENVS_2="true" PROJECT_NAME="mdd" TARGET_NAME="mdd_lib" CONFIG_NAME="Debug">
      <method v="2">
        <option name="com.jetbrains.cidr.execution.CidrBuildBeforeRunTaskProvider$BuildBeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="CMake Application.auslegung_test" />
      <item itemvalue="CMake Application.gmock" />
      <item itemvalue="CMake Application.gmock_main" />
      <item itemvalue="CMake Application.gtest" />
      <item itemvalue="CMake Application.gtest_main" />
      <item itemvalue="CMake Application.mdd_lib" />
      <item itemvalue="Google Test.All in auslegung_test" />
      <item itemvalue="Google Test.ModuleMath" />
      <item itemvalue="Google Test.ModuleMath.ARRAYINT_PLUS_ARRAYInt" />
      <item itemvalue="Google Test.ModuleMath.add" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Google Test.ModuleMath" />
        <item itemvalue="Google Test.ModuleMath.ARRAYINT_PLUS_ARRAYInt" />
        <item itemvalue="Google Test.ModuleMath.add" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="4ddbafad-b85e-492e-80ec-3c73ef45688f" name="Default Changelist" comment="" />
      <created>1587581799216</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1587581799216</updated>
      <workItem from="1587581800425" duration="5209000" />
      <workItem from="1587820394897" duration="10341000" />
      <workItem from="1588087564187" duration="2479000" />
      <workItem from="1588173608688" duration="1471000" />
      <workItem from="1588177691948" duration="2948000" />
      <workItem from="1588498505055" duration="16829000" />
      <workItem from="1588535249928" duration="102000" />
      <workItem from="1588599976041" duration="2014000" />
      <workItem from="1588602419291" duration="11000" />
      <workItem from="1588610944347" duration="1253000" />
      <workItem from="1588692367897" duration="1201000" />
      <workItem from="1588786717088" duration="4579000" />
      <workItem from="1588791515004" duration="3084000" />
      <workItem from="1588794698644" duration="7128000" />
      <workItem from="1589382925743" duration="20440000" />
      <workItem from="1589404518690" duration="4865000" />
      <workItem from="1589963897477" duration="403000" />
      <workItem from="1589965045546" duration="13832000" />
      <workItem from="1589979027570" duration="3504000" />
      <workItem from="1589982545546" duration="300000" />
      <workItem from="1589982859071" duration="2825000" />
      <workItem from="1590072044480" duration="1259000" />
      <workItem from="1590139016676" duration="24307000" />
      <workItem from="1590401033286" duration="1155000" />
      <workItem from="1590443025824" duration="116000" />
      <workItem from="1590444664396" duration="2281000" />
      <workItem from="1590483561193" duration="9644000" />
      <workItem from="1590496125616" duration="6000" />
      <workItem from="1590497401566" duration="1517000" />
      <workItem from="1590576799306" duration="7324000" />
      <workItem from="1590657068263" duration="18515000" />
      <workItem from="1590678409969" duration="72000" />
      <workItem from="1590685036534" duration="3040000" />
      <workItem from="1592420111626" duration="70000" />
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 10m 21s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 10m 35s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 11m 28s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 33m 43s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 33m 51s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 35m 24s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 35m 48s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 37m 06s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 37m 51s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
    <history-entry file="All_in_auslegung_test - 2020.05.28 at 19h 38m 34s.xml">
      <configuration name="All in auslegung_test" configurationId="CMakeGoogleTestRunConfigurationType" />
    </history-entry>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="198345000" />
  </component>
  <component name="TodoView" selected-index="1">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="81" y="-2" width="1680" height="1052" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.49921754" visible="true" weight="0.27111384" />
      <window_info id="Structure" order="1" sideWeight="0.5007825" side_tool="true" weight="0.22572039" />
      <window_info id="Favorites" order="2" sideWeight="0.5007825" side_tool="true" weight="0.22572039" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.3557188" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.3336831" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32948583" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" visible="true" weight="0.32286024" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.2513089" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="11" weight="0.32948583" />
      <window_info anchor="bottom" id="CMake" order="12" weight="0.32948583" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.49921754" visible="true" weight="0.24012807" />
      <window_info id="Structure" order="1" sideWeight="0.5007825" side_tool="true" weight="0.22572039" />
      <window_info id="Favorites" order="2" sideWeight="0.5007825" side_tool="true" weight="0.22572039" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.2980063" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39874083" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32948583" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" weight="0.32423925" />
      <window_info anchor="bottom" id="Terminal" order="9" visible="true" weight="0.25393495" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="11" weight="0.32948583" />
      <window_info anchor="bottom" id="CMake" order="12" weight="0.32948583" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/lib/test/test_ModuleHTTP.cpp</url>
          <line>151</line>
          <option name="timeStamp" value="64" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/lib/test/test_ModuleHTTP.cpp</url>
          <line>132</line>
          <option name="timeStamp" value="69" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/lib/test/test_ModuleHTTP.cpp</url>
          <line>131</line>
          <option name="timeStamp" value="72" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <watches-manager>
      <configuration name="CMakeRunConfiguration">
        <watch expression="this-&gt;_inputs[0].output.get()" />
      </configuration>
    </watches-manager>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/lib/README.MD">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor />
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ModuleCompare.cpp" />
    <entry file="file://$PROJECT_DIR$/lib/include/ModuleCompare.h" />
    <entry file="file://$PROJECT_DIR$/lib/include/ModulePass.h" />
    <entry file="file://$PROJECT_DIR$/lib/src/ModulePass.cpp" />
    <entry file="file://$PROJECT_DIR$/lib/src/UniqueBase.cpp" />
    <entry file="file://$PROJECT_DIR$/lib/include/UniqueBase.h" />
    <entry file="file://$PROJECT_DIR$/lib/include/IListener.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="4" lean-forward="true" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/HandlerModule.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="35" selection-start-line="12" selection-start-column="35" selection-end-line="12" selection-end-column="35" />
          <folding>
            <element signature="e#56#73#0" expanded="true" />
            <element signature="e#123#132#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/IProcessor.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="19" lean-forward="true" selection-start-line="19" selection-end-line="19" />
          <folding>
            <element signature="e#51#71#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/IUnique.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="28" selection-start-line="9" selection-start-column="28" selection-end-line="9" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thirdparty/json/single_include/nlohmann/json.hpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="720">
          <caret line="48" column="27" lean-forward="true" selection-start-line="48" selection-start-column="27" selection-end-line="48" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/ProcessorManual.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="37" selection-start-line="9" selection-start-column="37" selection-end-line="9" selection-end-column="37" />
          <folding>
            <element signature="e#60#86#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/ModuleSwitch.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/c++/7/bits/shared_ptr.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10605">
          <caret line="707" selection-start-line="707" selection-end-line="707" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ProcessorBase.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="13" column="36" selection-start-line="13" selection-start-column="36" selection-end-line="13" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/ProcessorBase.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="420">
          <caret line="28" column="62" selection-start-line="28" selection-start-column="62" selection-end-line="28" selection-end-column="62" />
          <folding>
            <element signature="e#57#72#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/test/test_ModuleSwitch.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="30" selection-start-line="9" selection-start-column="30" selection-end-line="9" selection-end-column="30" />
          <folding>
            <element signature="e#0#24#0" expanded="true" />
            <element signature="e#70#98#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ProcessorManual.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" column="42" selection-start-line="26" selection-start-column="42" selection-end-line="26" selection-end-column="42" />
          <folding>
            <element signature="e#0#28#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thirdparty/curl/README" />
    <entry file="file://$PROJECT_DIR$/thirdparty/curl/CMakeLists.txt" />
    <entry file="file://$PROJECT_DIR$/lib/test/test_ProcessorManual.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="825">
          <caret line="55" column="31" selection-start-line="55" selection-start-column="31" selection-end-line="55" selection-end-column="31" />
          <folding>
            <element signature="e#0#24#0" expanded="true" />
            <element signature="e#70#98#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="525">
          <caret line="35" selection-start-line="35" selection-end-line="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/IModule.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="12" column="10" selection-start-line="12" selection-start-column="10" selection-end-line="12" selection-end-column="10" />
          <folding>
            <element signature="e#45#65#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/ModuleMath.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="510">
          <caret line="34" column="22" selection-start-line="34" selection-start-column="22" selection-end-line="34" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" column="5" selection-start-line="2" selection-start-column="5" selection-end-line="2" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/test/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" column="27" selection-start-line="2" selection-start-column="27" selection-end-line="2" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/ModuleBase.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="25" column="29" selection-start-line="25" selection-start-column="29" selection-end-line="25" selection-end-column="29" />
          <folding>
            <element signature="e#51#69#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/IOutput.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="210">
          <caret line="14" column="38" lean-forward="true" selection-start-line="14" selection-start-column="38" selection-end-line="14" selection-end-column="38" />
          <folding>
            <element signature="e#44#63#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/IType.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="5" lean-forward="true" selection-start-line="5" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/Input.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="30" column="26" selection-start-line="30" selection-start-column="26" selection-end-line="30" selection-end-column="26" />
          <folding>
            <element signature="e#41#58#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/Output.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="30">
          <caret line="2" column="12" selection-start-line="2" selection-start-column="12" selection-end-line="2" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/Output.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="10" selection-start-line="6" selection-start-column="10" selection-end-line="6" selection-end-column="10" />
          <folding>
            <element signature="e#42#62#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ModuleSwitch.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="112">
          <caret line="8" column="39" lean-forward="true" selection-start-line="8" selection-start-column="39" selection-end-line="8" selection-end-column="39" />
          <folding>
            <element signature="e#0#25#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/c++/7/bits/shared_ptr_base.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="202">
          <caret line="682" selection-start-line="682" selection-end-line="682" />
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/c++/7/bits/stl_vector.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="199">
          <caret line="563" selection-start-line="563" selection-end-line="563" />
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/src/gtest/src/gtest.cc">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="224">
          <caret line="2776" column="3" lean-forward="true" selection-start-line="2776" selection-start-column="3" selection-end-line="2776" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/test/server/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="15">
          <caret line="1" column="11" lean-forward="true" selection-start-line="1" selection-start-column="11" selection-end-line="1" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ModuleMath.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="39" selection-start-line="9" selection-start-column="39" selection-end-line="9" selection-end-column="39" />
          <folding>
            <element signature="e#0#23#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/test/test_ModuleMath.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="885">
          <caret line="59" selection-start-line="59" selection-end-line="59" />
          <folding>
            <element signature="e#0#24#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/Input.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="465">
          <caret line="31" column="5" selection-start-line="31" selection-start-column="5" selection-end-line="31" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ModuleHTTP.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="104" column="5" selection-start-line="104" selection-start-column="5" selection-end-line="104" selection-end-column="5" />
          <folding>
            <element signature="e#0#23#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/unistd.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="8475">
          <caret line="565" column="11" selection-start-line="565" selection-start-column="11" selection-end-line="565" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/c++/7/thread">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2010">
          <caret line="134" selection-start-line="134" selection-end-line="134" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/ModuleHTTP.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="390">
          <caret line="26" column="11" selection-start-line="26" selection-start-column="11" selection-end-line="26" selection-end-column="11" />
          <folding>
            <element signature="e#51#74#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file:///usr/include/c++/7/bits/basic_string.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6285">
          <caret line="419" column="6" selection-start-line="419" selection-start-column="6" selection-end-line="419" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/test/test_ModuleHTTP.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
          <folding>
            <element signature="e#0#24#0" expanded="true" />
            <element signature="e#91#119#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thirdparty/cpp-httplib/httplib.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="61380">
          <caret line="4092" column="5" selection-start-line="4092" selection-start-column="2" selection-end-line="4092" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/include/IInput.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="8" column="28" selection-start-line="8" selection-start-column="28" selection-end-line="8" selection-end-column="28" />
          <folding>
            <element signature="e#43#63#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/src/ModuleBase.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="915">
          <caret line="61" selection-start-line="61" selection-end-line="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="285">
          <caret line="19" column="64" lean-forward="true" selection-start-line="19" selection-start-column="64" selection-end-line="19" selection-end-column="64" />
        </state>
      </provider>
    </entry>
  </component>
</project>